﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using Syncfusion.EJ2;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {


        public IActionResult Index()
        {
          List<Country> country = new List<Country>();
          country.Add(new Country() { Name = "Australia", Code = "1" });
            country.Add(new Country() { Name = "United Citiess", Code = "2" });
          country.Add(new Country() { Name = "India", Code = "3" });
            ViewBag.Countries = country;
            return View();

        }

        public ActionResult CountrySelected(string code)
        {

            List<Cities> allCities = new List<Cities>();
            allCities.Add(new Cities() { Name = "New York", Code = "1", Id = "101" });
            allCities.Add(new Cities() { Name = "Queensland", Code = "2", Id = "104" });
            allCities.Add(new Cities() { Name = "Tasmania ", Code = "2", Id = "105" });
            allCities.Add(new Cities() { Name = "Victoria", Code = "2", Id = "106" });
            allCities.Add(new Cities() { Name = "Virginia ", Code = "1", Id = "102" });
            allCities.Add(new Cities() { Name = "Washington", Code = "1", Id = "103" });
            allCities.Add(new Cities() { Name = "Hyderabad", Code = "3", Id = "107" });
            allCities.Add(new Cities() { Name = "Banglore ", Code = "3", Id = "108" });
            allCities.Add(new Cities() { Name = "AndhraPradesh", Code = "3", Id = "109" });
            allCities = allCities.Where(c => c.Code == code).OrderBy(o => o.Name).ToList();
            return Json(allCities);
        }
       
    }
    public class Cities
    {
        public string Name { get; set; }
        public string Code { get; set; }
        public string Id { get; set; }

       
    }
    public class Country
    {
        public string Name { get; set; }
        public string Code { get; set; }

        
    }


}

